package core.process;

import core.operation.FillInformation;
import error.GExcptInit;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
//评阅老师评阅
public class C_ReviewerFillReview extends TempProcess {
    public String graduationDesignId;
    public Map<String,String> vMap;
    protected static String buttonName ="评阅老师评阅";
    protected static String iconURL="../cssFile/images/fill.png";
    protected static String targetURL="/home/reviewer-fill-review";
    protected static String info = "";

    static String table="graduation_design_finished_product_reviewer_score";

    public void TeacherTeamFillOpeningReportOpinion() throws Exception{
        if(!check()) throw new GExcptInit("ReviewerFillReview Attrs init error!");
        FillInformation fillInformation=new FillInformation();
        fillInformation.setOptions(new HashMap<>());
        fillInformation.addOptions("table",table);
        SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-ddHH:mm:ss");
        String date=df.format(new Date());
        vMap.put("reviewer_score_date",date);
        Map<String, String>limits = new HashMap<>();
        limits.put("id",this.getGraduationDesignId());
        fillInformation.addOptions("limits",limits);
        fillInformation.execute(null);
    }

    @Override
    protected boolean check() {
        if(this.getGraduationDesignId()==null||this.getVMap()==null)
            return false;
        else
            return true;
    }
    public String getGraduationDesignId() {
        return graduationDesignId;
    }
    public void setGraduationDesignId(String teacherID) {
        this.graduationDesignId = graduationDesignId;
    }
    public Map<String, String> getVMap() {
        return vMap;
    }
    public void setVMap(Map<String, String> vMap) {
        this.vMap = vMap;
    }
    @Override
    public String getInfo() {
        return info;
    }

    @Override
    public String getTargetURL() {
        return targetURL;
    }

    @Override
    public String getIconURL() {
        return iconURL;
    }

    @Override
    public String getButtonName() {
        return buttonName;
    }
}











